Fhead="s1501mant";
Texparent="";
Slidename="";
FheadC="mant";

Start3d();

Putaxes3d(5);
Xyzax3data("","x=[-5,5]","y=[-5,5]","z=[-2,5]");

Fd=["p","x=u","y=v","z=3*(1-(2*u^2+v^2)*exp(-u^2-v^2))",
"u=[-1.5,1.5]","v=[-1.5,1.5]","nwes"
];

FdC=[
 ["double u2=pow(u,2.0),v2=pow(v,2.0)",
  "x=u","y=v","z=3*(1-(2*u2+v2)*exp(-u2-v2))"
 ],
 "u=[-1.5,1.5]","v=[-1.5,1.5]","nwse",
// [100,100],[6000,3000,500],[0.01,0.1]
 [50,50],[5000,3000,500],[0.02,0.1]
];

MainC=[
 "writesfbd",["sfbd"],
 "writeax",["ax"],
 "writewire",["wire",[10,5],4]
];

black="Color=[0,0,0]";
red="Color=[1,0,0]";
blue="Color=[0,0,1]";

DispC=[
 "sfbd",["dr",black],
// "sfbdh",["dr",red],
 "ax",[black],
// "axh",[red],
 "wire",["dr,0.4",black]
];

if(contains(Ch,0),
 Sf3data("1",Fd);
);
if(contains(Ch,1),
 Changestyle3d(Datalist3d(),["nodisp"]);
 DisplayC();
);

Windispg();

//Help("MainC");